Name: bb
Version: 1.3
Release: alt0.4.qa1

Summary: BB - the portable demo
License: GPL
Group: Toys

%define realver %{version}rc1

Url: http://aa-project.sourceforge.net/bb
Source: http://unc.dl.sourceforge.net/sourceforge/aa-project/%name-%realver.tar.gz
Patch: bb-1.3.0-alt-gcc34.patch
Packager: Michael Shigorin <mike@altlinux.org>

Summary(ru_RU.KOI8-R): BB --  AAlib
Summary(uk_UA.KOI8-U): BB --  AAlib
Summary(pl): BB - przenone demo

# see .desktop
Requires: sound_handler

# Automatically added by buildreq on Thu May 15 2008
BuildRequires: aalib-devel libX11-devel libgpm-devel libmikmod-devel libslang-devel

%description
BB is an high quality audio-visual demonstration for your text
terminal. It is portable demo, so you can run it on plenty of
operating systems.

%description -l ru_RU.KOI8-R
BB --    
aalib   .

%description -l uk_UA.KOI8-U
BB -- ˦ Ħצ æ 
aalib   ̦ͦ.

%description -l pl
BB jest wysokiej jakoci demem z grafik i dwikiem, dziaajcym na
terminalu tekstowym. Jest przenone - dziaa na wielu systemach
operacyjnych.

%prep
%setup -q -n %name-1.3.0
%patch -p1

%build
rm -f missing
aclocal
autoconf
automake --add-missing
%configure
%make_build

%install
%makeinstall

mkdir -p %buildroot%_desktopdir
cat > %buildroot%_desktopdir/%{name}.desktop <<EOF
[Desktop Entry]
Version=1.0
Type=Application
Name=BB
Comment=BB -- AA demo
Icon=%{name}
Exec=sound_wrapper %_bindir/%name -dim -bold -boldfont
Terminal=false
Categories=Game;Amusement;
EOF

%files
%doc AUTHORS ChangeLog NEWS README
%_datadir/%name/
%_bindir/*
%_desktopdir/%{name}.desktop
%_man1dir/*

%changelog
* Sat Apr 16 2011 Igor Vlasenko <viy@altlinux.ru> 1.3-alt0.4.qa1
- NMU: converted menu to desktop file

* Wed Dec 03 2008 Michael Shigorin <mike@altlinux.org> 1.3-alt0.4
- applied repocop patch

* Thu May 15 2008 Michael Shigorin <mike@altlinux.org> 1.3-alt0.3
- buildreq
- spec macro abuse cleanup

* Thu Feb 24 2005 Michael Shigorin <mike@altlinux.ru> 1.3-alt0.2
- rebuilt with gcc3.4 (thanks Stanislav Ievlev for fix suggestion)

* Mon Apr 12 2004 Michael Shigorin <mike@altlinux.ru> 1.3-alt0.1
- built for ALT Linux (1.3rc1)
- heh, it was Mon Apr 28 2003 when this package was basically done :-D
  still minor spec fixes/cleanups...
- spec adapted from PLD <feedback@pld.org.pl>
  All persons listed below can be reached at <cvs_login>@pld.org.pl
  arturs, filon, kloczek, qboosh
